%define realname OpenIPMI

#The lib naming in OpenIPMI 1.x
%define oldlibname %mklibname %realname 1

Name: 		openipmi
Summary: 	%{name} - Library interface to IPMI
Version:	2.0.21
Release:	%mkrel 12
License: 	LGPLv2+
Group: 		System/Kernel and hardware
URL: 		http://openipmi.sourceforge.net
Source: 	http://downloads.sourceforge.net/openipmi/%{realname}-%{version}.tar.gz
Patch0:		OpenIPMI-2.0.16-link.diff
Patch1:		OpenIPMI-2.0.16-python.diff
Patch2:		OpenIPMI-2.0.16-libtool.patch
Patch3:		OpenIPMI-2.0.16-python26.patch
Patch4:		openipmi-2.0.16-pthreads.patch
BuildRequires:	swig >= 1.3
BuildRequires:	pkgconfig(python2)
BuildRequires:	popt-devel
BuildRequires:	ncurses-devel
BuildRequires:	net-snmp-devel
BuildRequires:	libgdbm-devel
BuildRequires:	perl-devel
BuildRequires:	glib2-devel
BuildRequires:	tcl 
BuildRequires:	tcl-devel
BuildRequires:	tkinter
BuildRequires:	tk 
BuildRequires:	tk-devel
Conflicts:	OpenIPMI
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
# This rpm will replace OpenIPMI and OpenIPMI2 and IPMI
Obsoletes:	%{realname}
Obsoletes:	%{realname}2
Obsoletes:	%{oldlibname}
Obsoletes: 	IPMI
Provides:	IPMI

# Perl is usually installed in /usr/lib, not /usr/lib64 on 64-bit platforms.
#define perl_libdir %%{_exec_prefix}/lib

%description 
This package contains a shared library implementation of IPMI and the
basic tools used with OpenIPMI.

%package devel
Summary:	Development files for OpenIPMI
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-lanserv = %{version}-%{release}
Requires:	%{name}-ui = %{version}-%{release}
Requires:	tcl-%{name} = %{version}-%{release}
Obsoletes:	%{realname}-devel
Obsoletes:	%{realname}2-devel
Obsoletes:	%{oldlibname}-devel

%description devel
Contains additional files need for a developer to create applications
and/or middleware that depends on libOpenIPMI

%package -n perl-%{name}
Summary:	Perl interface for OpenIPMI
Group:		Development/Perl
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-perl
Obsoletes:	perl-%{realname}2

%description -n perl-%{name}
A Perl interface for OpenIPMI.

%package -n python-%{name}
Summary:	Python interface for OpenIPMI
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-python
Obsoletes:	python-%{realname}2

%description -n python-%{name}
A Python interface for OpenIPMI.

%package -n tcl-%{name}
Summary:	TCL interface for OpenIPMI
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
BuildRequires:	tcl-devel
Requires:	tcl

%description -n tcl-%{name}
A TCL interface for OpenIPMI.

%package gui
Summary:	GUI (in python) for OpenIPMI
Group:		System/Kernel and hardware
Requires:	python-%{name} = %{version}-%{release}
Requires:	wxPython >= 2.4.2
Requires:	wxPythonGTK
BuildRequires:	wxPythonGTK
Obsoletes:	%{realname}2-gui

%description gui
A GUI interface for OpenIPMI.  Written in python an requiring wxWidgets.

%package ui
Summary:	User Interface (ui)
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{realname}2-ui

%description ui
This package contains a user interface

%package lanserv
Summary:	Emulates an IPMI network listener
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{realname}2-lanserv

%description lanserv
This package contains a network IPMI listener.

%prep
%setup -q -n %{realname}-%{version}
%patch3 -p1
%patch4 -p1

%build
export PYTHONDONTWRITEBYTECODE=
%define _disable_ld_no_undefined 1
%configure2_5x	--disable-static \
	--with-perlinstall=%{perl_vendorarch} \
	--with-pythoninstall=%{python2_sitearch} \
	--with-glib12=no \
	--with-pythonusepthreads=yes \
	--with-perlusepthreads=yes

make

%install
%makeinstall_std PYTHON_GUI_DIR=openipmigui

rm -f %{buildroot}%{_libdir}/*.la

install -m755 ipmi.init -D %{buildroot}/%{_sysconfdir}/init.d/ipmi
install -m644 ipmi.sysconf -D %{buildroot}/%{_sysconfdir}/sysconfig/ipmi

%preun
%_preun_service ipmi

%postun
%_post_service ipmi

%files
%{_libdir}/libOpenIPMIcmdlang.so.*
%{_libdir}/libOpenIPMIglib.so.*
%{_libdir}/libOpenIPMIposix.so.*
%{_libdir}/libOpenIPMIpthread.so.*
%{_libdir}/libOpenIPMI.so.*
%{_libdir}/libOpenIPMIutils.so.*
%{_sysconfdir}/init.d/ipmi
%config(noreplace) %{_sysconfdir}/sysconfig/ipmi
%doc FAQ README README.Force
%doc README.MotorolaMXP

%files -n perl-%{name}
%{perl_vendorarch}/OpenIPMI.pm
%{perl_vendorarch}/auto/OpenIPMI
%doc swig/OpenIPMI.i swig/perl/sample swig/perl/ipmi_powerctl

%files -n python-%{name}
%{python2_sitearch}/*OpenIPMI.*
%doc swig/OpenIPMI.i

%files -n tcl-%{name}
%{_libdir}/*OpenIPMItcl.so.*

%files gui
%{python2_sitearch}/openipmigui/
%{_bindir}/openipmigui

%files devel
%{_includedir}/OpenIPMI
%{_libdir}/*.so
%{_libdir}/pkgconfig
%doc doc/IPMI.pdf

%files ui
%{_bindir}/ipmi_ui
%{_bindir}/ipmicmd
%{_bindir}/openipmicmd
%{_bindir}/ipmish
%{_bindir}/openipmish
%{_bindir}/solterm
%{_bindir}/rmcp_ping
%{_libdir}/libOpenIPMIui.so.*
%doc %{_mandir}/man1/ipmi_ui.1*
%doc %{_mandir}/man1/openipmicmd.1*
%doc %{_mandir}/man1/openipmish.1*
%doc %{_mandir}/man1/openipmigui.1*
%doc %{_mandir}/man1/solterm.1*
%doc %{_mandir}/man1/rmcp_ping.1*
%doc %{_mandir}/man7/ipmi_cmdlang.7*
%doc %{_mandir}/man7/openipmi_conparms.7*

%files lanserv
%config(noreplace) %{_sysconfdir}/ipmi/ipmisim1.emu
%config(noreplace) %{_sysconfdir}/ipmi/lan.conf
%{_bindir}/ipmilan
%{_bindir}/ipmi_sim
%{_bindir}/sdrcomp
%{_libdir}/libIPMIlanserv.so.*
%doc %{_mandir}/man8/ipmilan.8*
%doc %{_mandir}/man1/ipmi_sim.1*
%doc %{_mandir}/man5/ipmi_lan.5*
%doc %{_mandir}/man5/ipmi_sim_cmd.5*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.0.21-12.mga6
+ Revision: 1022169
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 2.0.21-11.mga6
+ Revision: 961947
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 2.0.21-10.mga6
+ Revision: 886412
- rebuild for new tcl/tk 8.6.4
- use new python2 macros

* Sat Jun 27 2015 tv <tv> 2.0.21-9.mga6
+ Revision: 846152
- rebuild with soname-ified perl

* Tue Jun 23 2015 fwang <fwang> 2.0.21-8.mga6
+ Revision: 840521
- rebuild for new perl

* Wed Oct 15 2014 umeabot <umeabot> 2.0.21-7.mga5
+ Revision: 742181
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.21-6.mga5
+ Revision: 727522
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.21-5.mga5
+ Revision: 683215
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2.0.21-4.mga5
+ Revision: 632360
- perl 5.20.0 rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.0.21-3.mga5
+ Revision: 632307
- Rebuild for perl 5.20
- Rebuild for new Python

* Thu Feb 06 2014 fwang <fwang> 2.0.21-1.mga5
+ Revision: 584632
- update file list
- new version 2.0.21

* Sat Oct 19 2013 umeabot <umeabot> 2.0.18-6.mga4
+ Revision: 524164
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 2.0.18-5.mga4
+ Revision: 430423
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.0.18-4.mga3
+ Revision: 362042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 05 2011 fwang <fwang> 2.0.18-3.mga3
+ Revision: 176943
- rebuild for new gdbm
- disable static
- cleanup spec
  do not ship .la files
- imported package openipmi


* Mon Jul 18 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.18-2mdv2011
+ Revision: 690300
- rebuilt against new net-snmp libs

* Fri Apr 22 2011 Funda Wang <fwang@mandriva.org> 2.0.18-1
+ Revision: 656614
- new version 2.0.18

* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 2.0.16-8mdv2011.0
+ Revision: 593319
- rebuild for new python 2.7

* Tue Oct 12 2010 Funda Wang <fwang@mandriva.org> 2.0.16-7mdv2011.0
+ Revision: 585011
- rebuild

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 2.0.16-6mdv2011.0
+ Revision: 579343
- add more missing requires

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 2.0.16-5mdv2011.0
+ Revision: 579337
- add missing requries

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.0.16-4mdv2011.0
+ Revision: 564323
- rebuild for perl 5.12.1

* Thu Jul 22 2010 Jérôme Quelin <jquelin@mandriva.org> 2.0.16-3mdv2011.0
+ Revision: 556778
- perl 5.12 rebuild

* Thu Apr 08 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.0.16-2mdv2010.1
+ Revision: 533229
- Rebuild for openssl 1.0.0.

* Tue Mar 30 2010 Pascal Terjan <pterjan@mandriva.org> 2.0.16-1mdv2010.1
+ Revision: 530062
- Generate .pyc as it would need heavy patching of Makefiles to get rid of them
- Import update to 2.0.16 by Oden
- Fix for new libtool
- Fixes for python 2.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for 2010.1
    - rebuilt against openssl-0.9.8m
    - rebuilt against new net-snmp libs

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.14-4mdv2009.1
+ Revision: 310410
- rebuild for new tcl

* Mon Sep 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.14-3mdv2009.0
+ Revision: 284856
- fix build
- fix deps

  + Erwan Velu <erwan@mandriva.org>
    - Adding missing python dir for openipmigui. Related to #42911

* Sun Jul 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.14-1mdv2009.0
+ Revision: 250705
- update to new version 2.0.14
- new license policy
- add missing buildrequire on tcl-devel
- spec file clean
- do not package COPYING and INSTALL files
- use %%define _disable_ld_no_undefined 1 to make it compile
- adjust configure options

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Thu Feb 07 2008 Erwan Velu <erwan@mandriva.org> 2.0.13-2mdv2008.1
+ Revision: 163391
- IPMI is nor more necessary

* Tue Feb 05 2008 Erwan Velu <erwan@mandriva.org> 2.0.13-1mdv2008.1
+ Revision: 162640
- This file doesn't exists anymore
- Removing python gui directory
- Fixing gui install
- import openipmi


